<IfModule mod_ssl.c>
<VirtualHost *:443>
	ServerAdmin admin@sae.lizziewizzie.site
	ServerName sae.lizziewizzie.site
	ServerAlias www.sae.lizziewizzie.site
	DocumentRoot /home/lizzie/SAE31
	ErrorLog ${APACHE_LOG_DIR}/error.log
	CustomLog ${APACHE_LOG_DIR}/access.log combined

	Alias /static /home/lizzie/SAE31/static
	<Directory /home/lizzie/SAE31/static>
		Require all granted
	</Directory>
	
	<Directory /home/lizzie/SAE31/dubstep_project>
		<Files wsgi.py>
			Require all granted
		</Files>
	</Directory>

	WSGIDaemonProcess SAE31 python-path=/home/lizzie/SAE31 python-home=/home/lizzie/SAE31/venv 
	WSGIProcessGroup SAE31
	WSGIPassAuthorization On
	WSGIScriptAlias / /home/lizzie/SAE31/dubstep_project/wsgi.py

SSLCertificateFile /etc/letsencrypt/live/sae.lizziewizzie.site/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/sae.lizziewizzie.site/privkey.pem
Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
</IfModule>
